View Issue Details

IDProjectCategoryView StatusLast Update
0003270GNUnetUDP transportpublic2014-04-08 16:42
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003270: UDP plugin periodically sends packet to loopback interface (suspected: hello broadcast)
DescriptionThis is mostly just inefficient nonsense; I suspect UDP iterates over all interfaces, but lo obviously makes no sense here.
Additional InformationWireshark screenshot attached
TagsNo tags attached.

Activities

Christian Grothoff

2014-01-12 14:46

manager  

udp-loopback.png (101,809 bytes)
udp-loopback.png (101,809 bytes)

Matthias Wachs

2014-01-15 13:26

manager   ~0007994

fixed in rev 31916

Issue History

Date Modified Username Field Change
2014-01-12 14:46 Christian Grothoff New Issue
2014-01-12 14:46 Christian Grothoff Status new => assigned
2014-01-12 14:46 Christian Grothoff Assigned To => Matthias Wachs
2014-01-12 14:46 Christian Grothoff File Added: udp-loopback.png
2014-01-15 13:26 Matthias Wachs Note Added: 0007994
2014-01-15 13:26 Matthias Wachs Status assigned => resolved
2014-01-15 13:26 Matthias Wachs Resolution open => fixed
2014-01-18 15:52 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed